Bug 112381 - Macro Organizer: Move Run, Close, Help buttons to the bottom
Summary: Macro Organizer: Move Run, Close, Help buttons to the bottom
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillUI, topicUI
Depends on:
Blocks:
 
Reported: 2017-09-14 08:48 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-04-15 06:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-09-14 08:48:53 UTC
Tools -> Macros -> Organize Macros

The dialog has all buttons on the right side.
The three buttons "Run", "Close", "Help" should be moved to the bottom.

The layout should be like this:

[Help]                         [Run] [Close]
Comment 1 Commit Notification 2017-09-20 10:26:04 UTC
Sabin Frandes committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb6fd6b3427b6cf74d5b262f5acc015029f24148

tdf#112381 Macro Organizer: Move Run, Close, Help buttons to the bottom

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Samuel Mehrbrodt (CIB) 2017-09-20 10:26:16 UTC
Fixed for Basic, but still needs to be done for the Python, Beanshell and Javascript dialogs.
Comment 3 Xisco Faulí 2017-12-25 14:47:58 UTC
Hi Samuel,
Should this issue be set as easyHack?
Comment 4 Xisco Faulí 2018-03-26 18:57:01 UTC
Dear Sabin Frandes,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 5 shubhamgoyal 2019-04-15 04:17:07 UTC
Any Code Pointers?
Comment 6 Samuel Mehrbrodt (CIB) 2019-04-15 06:32:50 UTC
Just checked, seems this has been fixed meanwhile. So nothing more to do here :)